# Get requests by HAR entry indices

<div class="op-path-box"><span class="op-http-method-post">POST</span> /v3/web-audits/<span class="op-path-parameter">{auditId}</span>/runs/<span class="op-path-parameter">{runId}</span>/pages/<span class="op-path-parameter">{pageId}</span>/initiators/request-log</div>

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/pages/{pageId}/initiators/request-log
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

  - `pageId` (string, required)
    Unique identification number for web audit run-page, it is different from dcUUID

## Request fields (application/json):

  - `harEntryIndices` (array, required)
    Empty array means "query all (no filtering)"

## Response 200 fields (application/json):

  - `requests` (array, required)

  - `requests.harEntryIndex` (integer, required)
    The 0-based index of the HAR entry that this request corresponds to. Used to uniquely identify a request on a page.

  - `requests.resourceType` (string)
    The type of resource that was requested.  e.g. 'xhr', 'script', 'image', 'stylesheet', 'font', 'document', 'other'. Available since [WORK-24937](https://observepoint.atlassian.net/browse/WORK-24937)

  - `requests.method` (string)
    The HTTP method used for the request

  - `requests.serverIPAddress` (string)
    The IP address of the server that responded to the request

  - `requests.httpVersion` (string)
    The HTTP version used for the request (e.g. 'HTTP/1.1')

  - `requests.requestUrl` (string, required)

  - `requests.statusCode` (integer, required)
    HTTP status code of network request

  - `requests.loadTime` (number, required)
    Time took for network request to execute, in milliseconds

  - `requests.geoLocation` (string)
    Use `geoLocationInfo` property instead. It will be renamed to `geoLocation` soon

  - `requests.geoLocationInfo` (object)

  - `requests.geoLocationInfo.countryCode` (string, required)
    ISO 3166-1 (Alpha-2) country code
    Example: US

  - `requests.geoLocationInfo.countryName` (string, required)

  - `requests.mimeType` (string)

  - `requests.fileInfo` (object)

  - `requests.fileInfo.lastModifiedDate` (string)
    Date-time in [RFC3339 profile ISO 8601 format](https://www.ietf.org/rfc/rfc3339.txt) with
the following additional restrictions:
1. An uppercase T must separate the date and time portions.
2. An uppercase Z must denote that a numeric time zone offset isn't present.

In general, these timestamp requirements are the same in
[AWS Step Functions - Choice Rules](https://docs.aws.amazon.com/step-functions/latest/dg/amazon-states-language-choice-state.html)
    Example: 2016-08-18T17:33:00Z

  - `requests.fileInfo.filename` (string, required)
    Name of the file. Identified as the last non-empty part of URL path
    Example: main.js

  - `requests.fileInfo.requestDomain` (string, required)
    Network request URL domain
    Example: example.com

  - `requests.responseSizeBytes` (integer)

  - `requests.startedAtRelativeToPageNavigation` (integer)

  - `requests.tagId` (integer)
    Tag ID

  - `requests.tagVendorId` (integer)
    Tag vendor ID

  - `requests.tagCategoryId` (integer)
    Tag category ID

  - `requests.tagAccount` (string)
    Tag account

  - `requests.consoleLogSummary` (object, required)

  - `requests.consoleLogSummary.errorLogCount` (integer, required)

  - `requests.consoleLogSummary.warnLogCount` (integer, required)

  - `requests.consoleLogSummary.debugLogCount` (integer, required)

  - `requests.consoleLogSummary.infoLogCount` (integer, required)
    Example: 4

  - `requests.consoleLogSummary.otherLogCount` (integer, required)
    Deprecated, included only for backward compatibility, value is always 0

  - `requests.fileSubstitution` (object)

  - `requests.fileSubstitution.substituteUrl` (string, required)
    URL of the file that was used as a substitute

  - `requests.fileSubstitution.tagId` (integer)

  - `requests.fileSubstitution.failure` (object)

  - `requests.fileSubstitution.failure.failureType` (string, required)
    Enum: "unknown", "file_size_limit_exceeded", "file_not_found", "cannot_get_file"

  - `requests.fileSubstitution.failure.failureMessage` (string)

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

